//preload: -----------------------------------------------------------------------------------------
var tabImg = new Array();
//
//modify the extensions of your image files (jpg, png, gif...) in the six next lines:
preloadImg('curInit', 'images/curseur-init.png');
preloadImg('curOver', 'images/curseur-over.png');
preloadImg('curDown', 'images/curseur-down.png');
preloadImg('stripInit', 'images/strip-init.png');
preloadImg('stripClick', 'images/strip-click.png');
preloadImg('stripOver', 'images/strip-over.png');
//
function preloadImg(index, url) {
	tabImg[index] = new Image();
	tabImg[index].src = url;
}
//
//gestionnaires d'vnements: ---------------------------------------------------------------------
//
function addEvent(element, event, func) {
    if (element.addEventListener) { // Si notre lment possde la mthode addEventListener()
        element.addEventListener(event, func, false);
    } else { // Si notre lment ne possde pas la mthode addEventListener()
        element.attachEvent('on' + event, func);
    }
}
function stopEvent(element, event, func) {
    if (element.removeEventListener) { // Si notre lment possde la mthode addEventListener()
        element.removeEventListener(event, func, false);
    } else { // Si notre lment ne possde pas la mthode addEventListener()
        element.detachEvent('on' + event, func);
    }
}
//
//vnements zone sensible:
var zoneSensible = document.getElementById('sensible');
addEvent(zoneSensible, 'mouseover', survolZone);
addEvent(zoneSensible, 'mouseout', sortirZone);
addEvent(zoneSensible, 'mousedown', downZone);
addEvent(zoneSensible, 'mouseup', upZone);
//
//vnement pointeur hors zone sensible:
var zoneCurseur = document.getElementById('zoneimage'),
	strip = document.getElementById('strip'),
	texte = document.getElementById('texte');
//
//affichage: ----------------------------------------------------------------------------------------
//
//curseurs personnaliss:
function createCurseur(balise, position, lien, id, affichage) {
	var curseurImage = document.createElement(balise);
	curseurImage.style.position = position;
	curseurImage.src = lien;
	curseurImage.id = id;
	curseurImage.style.display = affichage;
	document.body.appendChild(curseurImage);
}
createCurseur('img', 'absolute', tabImg['curInit'].src, 'souris', 'none');
var souris = document.getElementById('souris');
createCurseur('img', 'absolute', tabImg['curOver'].src, 'souris-over', 'none');
var sourisOver = document.getElementById('souris-over');
createCurseur('img', 'absolute', tabImg['curDown'].src, 'souris-click', 'none');
var sourisClick = document.getElementById('souris-click');
//
function drag(e) {
	var cible = e || window.event;
	var posX = (navigator.appName.substring(0,3) == "Net") ? cible.pageX+20 : event.x+document.body.scrollLeft+20;/*dcalage suffisant pour viter bug de pointeur*/
    var posY = (navigator.appName.substring(0,3) == "Net") ? cible.pageY : event.y+document.body.scrollTop;
	souris.style.left = ""+posX+"px";
	souris.style.top = ""+posY+"px";
	sourisOver.style.left = ""+posX+"px";
	sourisOver.style.top = ""+posY+"px";
	sourisClick.style.left = ""+posX+"px";
	sourisClick.style.top = ""+posY+"px";
}
//
//instructions pour changement des curseurs et strip sur zone sensible:----------------------------------------------------------
//
function survolZone(e) {
		souris.style.display = 'none';
		sourisOver.style.display = 'block';
		e.stopPropagation();
		strip.src = tabImg['stripOver'].src;		
}
//
function sortirZone() {
		souris.style.display = 'block';
		sourisOver.style.display = 'none';
		strip.src = tabImg['stripInit'].src;
}
function downZone() {
	sourisOver.style.display = 'none';
	sourisClick.style.display = 'block';
}
function upZone(e) {
	var cible = e.target || window.event.srcElement;
	strip.src = tabImg['stripClick'].src;
	sourisClick.style.display = 'none';
	souris.style.display = 'block';
	stopEvent(cible, 'mouseup', upZone);
	stopEvent(cible, 'mouseover', survolZone);
	stopEvent(cible, 'mousedown', downZone);
	stopEvent(cible, 'mouseout', sortirZone);
}
//
//instructions pour changement des curseurs hors zone sensible:---------------------------------------------------
//(note: fonction distincte de celles concernant le survol des zones sensibles pour viter qq problmes de propagation des vnements)
//
function survolZoneCurseur(e) {
	souris.style.display = 'block';
	sourisClick.style.display = 'none';
}
function sortirZoneCurseur(e) {
	souris.style.display = 'none';
}
//
addEvent(zoneCurseur, 'mousemove', drag);
addEvent(zoneCurseur, 'mouseover', survolZoneCurseur);
addEvent(zoneCurseur, 'mouseout', sortirZoneCurseur);

